/* fft.h -- header file of FFT */

#ifndef _FFT_H
#define _FFT_H

#undef PI
#define PI 3.141592653589793

#define NumberOfCell 128	/* Number of Cells */

#define N 3276800	/* N = 2^17 * 5^2 = 3276800 */
#define N2 17
#define N5 2
#define N_PE 25600	/* N_PE = N / NumberOfCell = 25600 = 2^10 * 5^2 */
#define N2_PE 10
#define N5_PE 2

typedef struct {
    double re;
    double im;
} complex;

#endif /* ! _FFT_H */
